%define language pt-BR
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Brazilian portuguese 
%define name mozilla-firefox-pt_BR
%define version 1.0.6
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define firefox_version %version
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary: %{langname} interface for Firefox 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/%language.xpi
License: GPL
Group: Networking/WWW
Url: http://www.mozilla.org/products/firefox/
BuildRoot: %{_buildroot}
Requires(pre): mozilla-firefox = %{firefox_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Firefox

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/chrome/
cp chrome/%language.jar %buildroot%{mozillalibdir}/chrome/
# installed-chrome.txt addition
mkdir -p %buildroot%{mozillalibdir}/chrome/rc.d/
cat << EOF > %buildroot%{mozillalibdir}/chrome/rc.d/10_%name.txt
locale,install,url,jar:resource:/chrome/embed-sample.jar!/locale/%language/embed/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/inspector/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/necko/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/mozapps/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/passwordmgr/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pippki/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pipnss/
locale,install,url,jar:resource:/chrome/%{language}.jar!/locale/help/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/autoconfig/
locale,install,url,jar:resource:/chrome/inspector.jar!/locale/%language/inspector/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/browser/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/browser-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/cookie/
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if test -x %{mozillalibdir}/mozilla-rebuild-databases.pl; then %{mozillalibdir}/mozilla-rebuild-databases.pl; fi

%postun
if test -x %{mozillalibdir}/mozilla-rebuild-databases.pl; then %{mozillalibdir}/mozilla-rebuild-databases.pl; fi

%files
%defattr(644,root,root)
%{mozillalibdir}/chrome/%language.jar
%{mozillalibdir}/chrome/rc.d/10_%name.txt

%changelog
* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.6-1mdk
- 1.0.6

* Thu May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-1mdk
- 1.0.4

* Mon Mar 28 2005 Abel Cheung <deaddog@mandrake.org> 1.0.2-2mdk
- Run db rebuild script only when it exists

* Mon Mar 21 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.0.1-1mdk
- First release
